package com.qmth.teachcloud.mark.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.common.bean.dto.DataPermissionRule;
import com.qmth.teachcloud.common.enums.mark.MarkPaperStatus;
import com.qmth.teachcloud.mark.entity.MarkPaperPackage;

import java.util.List;

/**
 * <p>
 * 考试科目卷袋表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-11-30
 */
public interface MarkPaperPackageService extends IMppService<MarkPaperPackage> {

    List<MarkPaperPackage> listByExamIdAndPackageCode(Long examId, String packageCode);

    int getPackageCountByExamId(Long examId, Long courseId, String coursePaperId, MarkPaperStatus status, DataPermissionRule dpr);

    void deleteByExamIdAndPaperNumber(Long examId, String paperNumber);
}
